import greenfoot.*;  // （World、Actor、GreenfootImage、GreenfootSound、Greenfoot及MouseInfo）
import java.util.List;

/**
 * 地雷。
 * 
 * @author 依瑪貓
 * @version 2013-04-11
 */
public class Bomb extends Actor {
    
    /**
     * 地雷爆炸。
     * 
     */
    public void boom() {
        List<Bomb> bombs = getWorld().getObjects(Bomb.class);
        for (Bomb bomb : bombs) {
            List<Flag> flags = getWorld().getObjectsAt(bomb.getX(), bomb.getY(), Flag.class);
            if (flags.size() == 0) {
                List<Cover> covers = getWorld().getObjectsAt(bomb.getX(), bomb.getY(), Cover.class);
                getWorld().removeObjects(covers);
                List<Question> questions = getWorld().getObjectsAt(bomb.getX(), bomb.getY(), Question.class);
                getWorld().removeObjects(questions);
            }
        }
        setImage("boom.png");
        Greenfoot.stop();
    }
}